Vtiful\Kernel\Excel insertImage

- « Vtiful\Kernel\Excel::insertFormula

- Vtiful\Kernel\Excel::insertText »

- PHP Manual
- Vtiful\Kernel\Excel
- Vtiful\Kernel\Excel insertImage

# Vtiful\Kernel\Excel::insertImage

(PECL xlswriter >= 1.2.1)

Vtiful\Kernel\Excel::insertImage — Vtiful\Kernel\Excel insertImage

### Description

public Vtiful\Kernel\Excel::insertImage(int `$row`, int `$column`, string `$localImagePath`)

Insert a local image into the cell.

### Parameters

`row`

  cell row

`column`

  cell column

`localImagePath`

  local image path

### Return Values

Vtiful\Kernel\Excel instance

### Examples

Example #1 example

    <?php$config = [    'path' => './tests'];$excel = new \Vtiful\Kernel\Excel($config);$file = $excel->fileName("free.xlsx");$file->insertImage(5, 0, '/vagrant/ASW-G-66.jpg');$file->output();